> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/uniformness-algorithm-experimental.md).

# Uniformness Algorithm (experimental)

What the experimental Uniformness Algorithm estimates, the metrics it returns, and why foundation and other cosmetics affect it.

## About Algorithm

{% hint style="warning" %}
**Disclaimer**

The Uniformness Algorithm is experimental. Results are approximate, may vary under different conditions, and are not intended for medical diagnosis or treatment.

Skin uniformness is not a scientifically defined parameter, as many factors and pigments can influence the skin’s visual appearance. Visual uniformness may differ significantly from natural skin uniformness when cosmetics such as foundation, concealer, BB/CC creams, color correctors, or setting powders are applied before taking a photo.

The algorithm is sensitive to image quality and lighting. Insufficient spatial resolution (below 2500 pixels), uneven lighting, shadows, or reflections can affect detection and cause fluctuations in the uniformness score.
{% endhint %}

1. This Algorithm estimates the visible skin texture non-uniformness, such as eruptions, age spots, freckles, and blood vessels close to the surface, along with texture-associated skin features.
2. This Algorithm estimates indicated skin health parameters on: forehead, right cheek, left cheek areas.
3. The Main Metric for this Algorithm is the Uniformness Score, with a range from 0 to 100.
   1. Values from 80 to 100 are considered a relatively good skin condition with relatively uniform texture skin.
   2. Values from 50 to 70 are considered as skin with visible skin texture non-uniformness.
   3. Values below 50 are considered as an alerting skin condition, that might require specialist attention.
   4. Uniformness Score is a non-linear transformation of a spatial information about non-uniform skin texture clusters.
4. There are no Submetrics for this Algorithm.

***

## Algorithm API

{% hint style="warning" %}
API access is available only for <mark style="color:purple;">**Professional**</mark> plan clients
{% endhint %}

See [Uniformness Result Scheme](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/uniformness.md).

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/uniformness-algorithm-experimental.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
